
QGIS Application - Bug report #18527

Crash when opening Plugin Manager

2018-03-23 04:18 PM - Daniël Kersbergen

Status: Closed

Priority: Normal

Assignee: Borys Jurgiel

Category: Windows Package

Affected QGIS version:3.0.0 Regression?: No

Operating System: Win10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 26415

Description

User Feedback

When opening the Plugin Manager in QGIS 3.0 Girona the whole software crashes. No report is generated and no other messages

display.

Report Details

Crash ID: ID not generated due to missing information.

Your version of QGIS install might not have debug information included or we couldn't get crash information.

Stack Trace

Stack trace could not be generated.

QGIS Info

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

History

#1 - 2018-03-28 04:17 PM - Daniel Possenriede

User Feedback

Same here. When I try to open the Plugin Manager, next thing I see is the QGIS Crashed window. It worked fine in QGIS 3 (which I had installed via the

QGIS desktop installer). I now use QGIS 3.0.1 (installed via OSGeo4W). I also tried a different/new user profile to no avail.

Report Details

Crash ID: b122357ce3b80f0a997f8e1815dc4609d9ad2f28

Stack Trace

QString::fill :

QString::indexOf :

QDir::fromNativeSeparators :

QFileInfo::QFileInfo :

QFileInfo::QFileInfo :

CPLString::~CPLString :

CPLString::~CPLString :

PyInit__gui :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :
PyEval_EvalFrameDefault :

PyErr_Occurred :

PyEval_EvalCode :

PyArena_Free :

PyRun_StringFlags :

instance :

instance :

QgisApp::rotatePointSymbols :

QgsPythonRunner::run :

QgisApp::showPluginManager :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.1-Girona

QGIS code revision: commit:a86bec25eb

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

#2 - 2018-03-28 04:41 PM - Borys Jurgiel

- Resolution set to duplicate

- Status changed from Open to Closed

- Category changed from Plugin Manager to Windows Package

I'm closing it as it duplicates #18357 (and two previous issues) - let's keep all these crashes in one place.

It seems it's always related to some Python stuff in the OSGeo4W. Could you please verify if the fixes described there work also for you?)
